Land Object Enabler Readme (Version 3 [AEC Object Enabler: OBJ]

Land Object Enabler Readme (Version 3)

The Land Object Enabler 3 allows you to access Autodesk Land Desktop object data in AutoCAD 2000i and 2002 based applications without having Autodesk Land Desktop 3 installed on your machine. Land Desktop Release 3 objects can be enabled in AutoCAD 2000i or 2002, Autodesk Map 4.5 or 5, Autodesk Architectural Desktop 2i, 3.0, or 3.3, Mechanical Desktop 5 or 6, AutoCAD LT 2000i or 2002, Volo View, and Volo View Express. For earlier versions of these products and 3D Studio VIZ, please refer to http://www.autodesk.com/aecobjenabler for the correct version to download.

The Land Object Enabler 3 can also be installed on AutoCAD Land Development Desktop Release 2i (with Service Pack 2), or along side of the Land Object Enabler 2.51i on any of the above products. For details about enabling AutoCAD Land Development Desktop 2i and using multiple Object Enablers, see Frequently Asked Questions.


Using the Autodesk Land Desktop Object Enabler [AEC Object Enabler: OBJ]

Using the Autodesk Land Desktop Object Enabler

The Land Object Enabler 3 is a freeware application that you can use to access Autodesk Land Desktop 3 drawing files. This new release leverages Object DBX technology allowing object data created in Autodesk Land Desktop 3 and earlier releases to be accessed outside the Land Desktop environment.

For example, if half of your AutoCAD seats are AutoCAD 2002, and the other half are Autodesk Land Desktop 3, the people using plain AutoCAD 2002 can install the Land Object Enabler 3. After installing the Land Object Enabler, they can open drawings that were created in Autodesk Land Desktop 3 and perform limited editing functions on the custom objects.

Without this enabler installed, you can share drawings using proxy graphics. Proxy graphics provide an alternative means to display objects using simple graphical representations. Objects represented as proxy graphics lack the full "intelligence" of true objects. AutoCAD uses this mechanism for DWG file compatibility if the custom application is not loaded.

Installing the Land Object Enabler 3 on any AutoCAD 2000i & 2002 product enables:

  • Support of basic AutoCAD commands on Land objects, such as Move, Copy, Scale
  • Snap points on the objects (so you can use Object Snaps)
  • Grip editing of Land objects (except for the grading object)

Related topics

  • Accessing and Installing the Land Object Enabler
  • Types of Custom Objects Created with Land Desktop and Civil Design
  • Frequently Asked Questions


Accessing and Installing the Land Object Enabler [AEC Object Enabler: OBJ]

Accessing and Installing the Land Object Enabler

Overview

The Land Object Enabler 3 is available on your Land Desktop product CD-ROM in the \ObjectEnabler directory. In addition, you can also download the most current version from the Autodesk web site at http://www.autodesk.com/aecobjenabler.

AutoCAD 2000i and 2002-based applications include a "live enabling" feature which will automatically retrieve and install the Land Object Enabler from an Autodesk Live Enabler web page when a drawing with Land 3 objects is opened. The following products from Autodesk include this Live Enabler capability:

  • AutoCAD 2000i & 2002
  • Autodesk Map 4.5 & 5
  • Autodesk Land Desktop 2i & 3
  • Autodesk Architectural Desktop 2i, 3, & 3.3
  • AutoCAD Mechanical Desktop 5 & 6

For details about live enabling AutoCAD based products, see Frequently Asked Questions.

Preparing for Installation

  • Log in as Administrator (Windows NT only)

NOTE Installing the Land Object Enabler to an AutoCAD running with Softdesk or Autodesk S8 can cause these programs not to run.

Installing the Land Object Enabler

  1. Place the Autodesk Land Desktop 3 CD-ROM into your CD-ROM drive.
  2. Select Start [image] Run.
  3. Type e:\ObjectEnabler\LDT3OE at the command line (where e is the letter of your CD-ROM drive) and then click OK.
  4. The self-extractor will start. Click the Setup button to start the Land Object Enabler Setup.
  5. Follow the on-screen instructions and click Next to proceed through the installation process.


Types of Custom Objects Created with Land Desktop and Civil Design [AEC Object Enabler: OBJ]

Types of Custom Objects Created with Land Desktop and Civil Design

Overview

Autodesk Land Desktop creates three different types of graphical custom objects. These include:

  • COGO point object
  • contour object
  • curved text object

NOTE Previous versions of AutoCAD Land Development Desktop created section view objects. Because Autodesk Land Desktop 3 now has the ability to create section views from regular AutoCAD entities, section view objects are no longer created. However, section view objects may exist in a drawing that was created with an earlier version of AutoCAD Land Development Desktop. For more information, see Functionality Enabled for the Section View Object.

Autodesk Civil Design creates one type of custom object:

  • grading object

The Land Object Enabler allows AutoCAD to display all of these custom objects.

Related topics

  • Functionality Enabled for the COGO Point Object
  • Functionality Enabled for the Contour Object
  • Functionality Enabled for the Curved Text Object
  • Functionality Enabled for the Grading Object
  • Functionality of the Grading Object Without the Land Object Enabler


Functionality Enabled for the COGO Point Object [AEC Object Enabler: OBJ]

Functionality Enabled for the COGO Point Object

Overview

The Land Object Enabler implements the following functionality for the COGO point object:

  • Grip Points
  • Snap Points
  • LIST
  • DXFIN/DXFOUT
  • ERASE
  • EXPLODE
  • MIRROR
  • COPY
  • ROTATE
  • WBLOCK
  • MOVE

NOTE You can only move or copy points if the "Allow Points to be MOVE'd in Drawing" setting (on the Update tab of the Point Settings dialog box) was enabled for the drawing when it was last saved. If you copy a point and the "Allow Points to be MOVE'd in Drawing" setting was not selected when it was last saved, then only the text associated with the point is moved.


Functionality Enabled for the Contour Object [AEC Object Enabler: OBJ]

Functionality Enabled for the Contour Object

Overview

The Land Object Enabler implements the following functionality for the Contour Object:

  • LIST
  • DXFIN/DXFOUT
  • ERASE
  • EXPLODE
  • MIRROR
  • MOVE
  • COPY
  • ROTATE
  • SCALE
  • WBLOCK
  • TRIM/EXTEND
  • BREAK
  • Snap points
  • Grip points on contour vertices and/or labels

NOTE The availability of Grip points is based on the Contour Style settings.


Functionality Enabled for the Curved Text Object [AEC Object Enabler: OBJ]

Functionality Enabled for the Curved Text Object

Overview

The Land Object Enabler implements the following functionality for the curved text object:

  • Grip points to move the label along the curve
  • LIST
  • DXFIN/DXFOUT
  • ERASE
  • EXPLODE
  • WBLOCK
  • MOVE
  • ROTATE

NOTE Move and Rotate only work for Curve Text when the arc is manipulated. The location of the Curve Text object is controlled by the arc.

NOTE In an Object Enabled AutoCAD, when you edit a curve that contains curve text, the label placement is updated, but the text is not updated.


Functionality Enabled for the Section View Object [AEC Object Enabler: OBJ]

Functionality Enabled for the Section View Object

Overview

Previous versions of AutoCAD Land Development Desktop created section view objects. Because Autodesk Land Desktop 3 now has the ability to create section views from regular AutoCAD entities, section view objects are no longer created.

However, section view objects may exist in a drawing that was created with an earlier version of AutoCAD Land Development Desktop.

The Land Object Enabler implements the following functionality for the section view object:

  • Grip Points
  • Snap Points
  • LIST
  • DXFIN/DXFOUT
  • ERASE
  • EXPLODE
  • MIRROR
  • MOVE
  • COPY
  • ROTATE
  • SCALE
  • WBLOCK
  • TRIM/EXTEND
  • BREAK

NOTE The section view object cannot be extended, but it can act as a boundary edge.


Functionality Enabled for the Grading Object [AEC Object Enabler: OBJ]

Functionality Enabled for the Grading Object

Overview

The Land Object Enabler enables the following functionality for the grading object:

NOTE The Land Object Enabler is not required when you are using Autodesk Land Desktop alone (without Civil Design) to open a drawing that contains a grading object.

  • Snap Points
  • LIST
  • COPY
  • ERASE
  • EXPLODE
  • MIRROR
  • MOVE
  • ROTATE
  • SCALE (the slope tags and target regions remain in the same locations relative to the vertices)
  • TRIM to (can be used as trim edge, but cannot be trimmed)
  • EXTEND to (can be used as extend edge, but cannot be extended)

When you use the Land Object Enabler, the grading object:

  • behaves as if locked
  • does not have grip points
  • cannot have its properties edited


Functionality of the Grading Object Without the Land Object Enabler [AEC Object Enabler: OBJ]

Functionality of the Grading Object Without the Land Object Enabler

Overview

With plain AutoCAD (no Land Object Enabler installed), the grading object behaves as follows:

  • With the AutoCAD PROXYGRAPHICS variable set to 1 (ON when the grading object was saved), a wire frame of the grading object is created.
  • The proxy graphics object behaves as if locked.
  • WBLOCK, EXPLODE, and ERASE commands are honored.
  • With the AutoCAD PROXYGRAPHICS variable set to 0 (OFF when the grading object is saved), a box is created that represents the object.
  • AutoCAD editing commands are non-functional except ERASE, WBLOCK, or EXPLODE.


Frequently Asked Questions [AEC Object Enabler: OBJ]

Frequently Asked Questions

Overview

NOTE You can find the latest information about the Object Enabler at http://pointa.autodesk.com/gotoPointA.jsp?dest=adeskOE.

What is Land Object Enabler 3.0?

The Land Object Enabler is a utility that gives customers of AutoCAD 2000i or 2002, Autodesk Map 4.5 or 5, Autodesk Architectural Desktop 2i, 3, and 3.3, Mechanical Desktop 5 or 6, AutoCAD LT 2000i or 2002, Volo View and Volo View Express new functionality and design flexibility through the power of Autodesk Land Desktop objects. With the Land Object Enabler 3.0, any user with these products can have full compatibility with Autodesk Land Desktop objects.

What drawing versions will this version of the Object Enabler support?

The Land Object Enabler 3 will support Land objects created in AutoCAD Land Development Desktop release 1, 2, and 2i, and Autodesk Land Desktop 3.

Is the Autodesk Land Desktop Object Enabler the same as the Architectural Desktop Object Enabler?

No. Autodesk Land Desktop and Architectural Desktop Object Enablers are different. When viewing Land objects in AutoCAD or one of the AutoCAD-based applications (other then Autodesk Land Desktop), you should use the Land Object Enabler. When viewing Architectural objects, you should use the Architectural Desktop Object Enabler.

NOTE Previous versions of Object Enabler (2.11 and earlier, but not version 2.51i) included support for both Land and Architectural objects.

Can the Land Object Enabler 3 be installed on a version of AutoCAD prior to 2002?
Yes. The Land Object Enabler 3 can also be installed on AutoCAD 2000i based products. This includes AutoCAD 2000i, Land Development Desktop 2i, Architectural Desktop 2i and 3.0, Volo View, and Volo View Express.
Can the Land Object Enabler 3 be used with Autodesk Field Survey?
No. Do not install Land Object Enabler 3 on Autodesk Field Survey.

Why should I install the Land Object Enabler 3 on Land Development Desktop Release 2i?

If you need to work with drawings created in Land Desktop 3, but you have Land Development Desktop 2i, then you should use the Land Object Enabler 3. Without the Land Object Enabler 3, a Land Desktop 3 drawing must be saved in R14 format to allow it to be opened in Land Development Desktop Release 2i. Installing the Land Object Enabler 3 on Land Development Desktop R2i will result in a new icon on your desktop. The name of the icon will be "AEC 3 Enabled Land Development Desktop 2i". If you have customized the Map or Land icons names, the customized name will be reflected in the new icon. To open a Land Desktop 3 drawing, you should launch this new icon.

Are there any special requirements before installing the Land Object Enabler 3?

If you are installing Land Object Enabler 3 on AutoCAD LT 2000i, you must have installed SP2 for this product. If you are installing Land Object Enabler 3 on AutoCAD 2000i, you must have installed SP1 for this product. If you are installing on Autodesk Land Development Desktop R2i, you must have installed SP2 for this product. If you are installing on Autodesk Architectural Desktop R2i, you must have installed SP1 for this product.

When multiple Object Enablers are installed, how do I select the correct version?

Installing a second Object Enabler on a product will result in the creation of a special desktop icon. This will be identified as "AEC xxx Enabled (product name)." For example, if you first install the Land Object Enabler 2.51i on AutoCAD 2002, and then install the Land Object Enabler 3, the icon will be labeled "AEC 3.0 Enabled AutoCAD 2002." Because the 2.51i Object Enabler was installed first, that will be the default enabler, which will be loaded when AutoCAD is started from its own startup icon. In order to work with drawings from Land Desktop 3, you would need to launch AutoCAD with the "AEC 3.0 Enabled..." icon.

What happens if I use the wrong version of Object Enabler?

When you open a Land Desktop 3 drawing in a product enabled (such as Architectural Desktop, for example) with the Land Object Enabler 2.51i, you will see a message similar to the following:

"Architectural Desktop has detected objects from a future version in this drawing. ADT commands have been unloaded. To work on this drawing, use SaveAs R14 from the original application."

You may not receive a proxy information dialog, but the objects in the drawing will still behave as proxies. Once you have received this message, object behavior will not be restored until you exit and re-start the application.

Any subsequent AutoCAD Land Development Desktop Release 2i drawings opened in that session will also cause the message to be displayed. This only affects the current session. A new session that is initiated by opening a Land Development Desktop 2i drawing will be properly enabled by the Land Object Enabler 2.51i.

When you open a Land Development Desktop 2i drawing using the Land Object Enabler 3 you will see the following message:

"This drawing was last saved by an earlier version of this application. Saving this file will upgrade it to the current version."

In order to allow the drawing to continue being used in the original release product (ADT1, ADT2, ADT2i, LDDT1, LDDT2, or LDDT2i), you should exit the application without saving changes, and re-start using the appropriate version of the Object Enabler or use the SaveAs R14 option.

What features are lost when using SaveAs R14?

When using an application that is enabled with the Land Object Enabler 3, and the drawing is going to be shared with a user of Land Development Desktop R1, R2, or R2i, you must SaveAs R14. This will preserve most of the object-based information that can be recognized by earlier versions. The only feature that will not translate to R1 or R2 is the point rotation attribute of the point object. If a drawing with point objects that have the point rotation attribute is saved as R14, the point rotation will be lost if the drawing is re-opened in Land Desktop 3 (or an application that is enabled with the Land Object Enabler 3).

Do I have to install the Land Object Enabler 3 in order to view Autodesk Land Desktop drawings in AutoCAD based applications?

No. The AutoCAD proxy graphic mechanism (starting with AutoCAD R13) allows viewing of Autodesk Land Desktop objects in AutoCAD or other Autodesk products that can read DWG files.

How is Land Object Enabler different from proxy graphics?

The Land Object Enabler does not replace the proxy graphics mechanism of interoperability. Proxy graphics remains a valuable "common denominator" of interoperability across the Autodesk product line. The Land Object Enabler provides a more robust level of compatibility for AutoCAD users, allowing them to benefit from the power of Land objects. When the appropriate version of the Land Object Enabler is installed on Autodesk products, there is no proxy message displayed on opening a file that contains Land Desktop objects.

Can I use the Land Object Enabler 3 on AutoCAD 2000 or previous versions?

No. However, there are versions of the Land Object Enabler available for AutoCAD 2000 and previous versions. For more information see http://www.autodesk.com/aecobjenabler.

How do I use the Land Object Enabler?

Once installed, the Land Object Enabler works automatically with your existing AutoCAD configuration. If you open a DWG file containing Autodesk Land Desktop objects, they are "live" and you are able to edit them directly using AutoCAD software commands. There are no menus, toolbars, or command-line features. The power of Land Object Enabler is the ability to use existing and familiar AutoCAD commands on Land objects without the need to learn new functionality.

Can I create intelligent objects using Land Object Enabler on AutoCAD 2002?

There are no commands to create new objects using AutoCAD 2002 and the Land Object Enabler. Copying existing objects, however, is supported, and objects retain their intelligence.

How can I control the drawing units when I perform a Map query on an Architectural Desktop drawing and a Land Desktop drawing in an object-enabled Autodesk Map?

To control the drawing units when performing a Map query draw, you can use the -aecdwgunits command, which has been added to the Object Enabler and to Land 3 Enabled Autodesk Map.

You can use this command to set the drawing units before performing a query draw in which you query drawings with different units, such as a Land Desktop drawing and an Architectural Desktop drawing.

To use this command, type -aecdwgunits on the command line (including the hyphen), and then set the drawing units by using the prompts that are displayed. These prompts control drawing units, drawing unit display format, linear display precision, and whether objects from other drawings are scaled on insert. The scale on insert prompt is shown below:

Scale objects from other drawings upon insert? [Yes/No] <Y>:

When combining Land Desktop and Architectural Desktop drawings using Map query draw, it is recommended that you answer "Yes" at this prompt prior to querying either drawing, or the drawings may not be scaled properly.

If there is not already a Drawing Setup object in the current drawing, then this command creates a Drawing Setup object with the settings you specify.

How do I install the Land Desktop Object Enabler?

The Object Enabler can be installed in multiple ways:

The first method occurs automatically when you open a drawing that has Land objects in any of the AutoCAD 2000i and AutoCAD 2002 based applications that include the "Live Enabler" feature. Products such as AutoCAD 2002 will now automatically retrieve (from the Internet) and install the proper Object Enabler when a drawing with Land objects is opened. In order to use the live enabler feature, you should confirm that the Live Enabler Options are set to automatically retrieve the appropriate enabler from the Internet. These settings are on the System tab in the AutoCAD Options dialog box. Please refer to the AutoCAD help system for details on these settings.

NOTE The live enabling feature will install the Land Object Enabler 3 on both the AutoCAD 2000i and 2002 based products. You will not be given the option to install the Land 2.51i Object Enabler. Therefore, if you need to enable Land Development Desktop 2i drawings you should download the Land Object Enabler 2.51 from the web site at http://www.autodesk.com/aecobjenabler.

The Land Object Enabler 3 is also available on your product CD-ROM. In addition, you can download the most current version from the Autodesk web site at http://www.autodesk.com/aecobjenabler.

How do I distribute the Land Object Enabler install?

The Land Object Enabler is a freeware application that you can distribute to anyone who wants to view your drawings. However, the Land Object Enabler alone cannot display your drawings. You must have an installed copy of AutoCAD 2002.

How do I verify that the Land Object Enabler is installed properly and running?

When you open a drawing containing one or more Autodesk Land Desktop custom objects, a message displays at the AutoCAD command line saying that the AecBase and AecCivilBase ARX/DBX modules have been loaded. When you install the Land Object Enabler 3 it will also be added to the Add/Remove Programs list in the Windows Control Panel.

Why do I still see the Proxy Information Dialog Box when I open a drawing?

The AutoCAD Proxy Information dialog box for AecDraft.arx is displayed when you open a drawing that contains Autodesk Land Desktop dynamic line label objects.

Are there any AutoCAD variables that affect the Land Object Enabler?

When you are using the Land Object Enabler, it is recommended that you use the Object detect and command invoke option in AutoCAD Options.

To select the Object detect and command invoke option

  1. Type OPTIONS at the AutoCAD command line to display the AutoCAD Options dialog box.
  2. Click the Open and Save tab.
  3. Under Object ARX applications and Demand load Object ARX apps, select Object detect and command invoke.

This option checks for any custom objects that exist in a drawing and loads the parent ARX/DBX application.

You should also confirm that the Live Enabler Options are set to automatically retrieve the appropriate enabler from the Internet. These settings are on the System tab in the AutoCAD Options dialog box. Please refer to the AutoCAD help system for details on these settings.

When you want to use the Land Object Enabler to view custom objects, do not set the Load ARX applications on demand option to Command invoke or Disable load on demand.